List Scaleway Namespaces
curl --request GET \
--url https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/namespacesimport requests
url = "https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/namespaces"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/integrations/scaleway/container-registry/project/{projectId}/credentials/{credentialId}/namespaces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"namespaces": [
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "production-registry",
"region": "fr-par",
"endpoint": "rg.fr-par.scw.cloud/production-registry",
"imageCount": 12,
"size": 5368709120,
"status": "ready",
"createdAt": "2026-01-15T08:00:00.000Z",
"updatedAt": "2026-03-17T10:30:00.000Z"
}
],
"totalCount": 1,
"page": 1,
"pageSize": 20
}
}
Scaleway
List Scaleway Namespaces
List container registry namespaces accessible with stored credentials
GET
/
integrations
/
scaleway
/
container-registry
/
project
/
{projectId}
/
credentials
/
{credentialId}
/
namespaces
List Scaleway Namespaces
Path Parameters
The UUID of the project
The UUID of the stored credential
Query Parameters
Page number (1-based). Default:
1Number of items per page. Default:
20Authorization
Requiresread permission on the project.
Response
Whether the request succeeded
Show Namespaces Response
Show Namespaces Response
Show Namespace Item
Show Namespace Item
Scaleway namespace UUID
Namespace name
Scaleway region
Registry endpoint URL
Number of images in the namespace
Total size in bytes
Namespace status (e.g.,
ready, deleting)ISO 8601 creation timestamp
ISO 8601 last update timestamp
Total number of namespaces
Current page number
Items per page
{
"success": true,
"data": {
"namespaces": [
{
"id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
"name": "production-registry",
"region": "fr-par",
"endpoint": "rg.fr-par.scw.cloud/production-registry",
"imageCount": 12,
"size": 5368709120,
"status": "ready",
"createdAt": "2026-01-15T08:00:00.000Z",
"updatedAt": "2026-03-17T10:30:00.000Z"
}
],
"totalCount": 1,
"page": 1,
"pageSize": 20
}
}
⌘I